// 考核方式
export interface IAssmentMethod {
  method: string // 方式
  weight: number // 权重
}

// 考核阶段
export interface IAssment {
  method: IAssmentMethod[] // 方式
  weight: number // 权重
}

// 学生
export interface IStudent {
  serialNumber: string // 学号
  name: string // 姓名
  className: string // 班级
  major: string // 专业
  resitTag: boolean // 重修标记
}

// 课程
export interface ICourse {
  name: string // 课程名称
  id: string // 课号
  campus: string // 开课学院
  teacher: string // 任课教师
  master: string // 课程负责人
  credit: number // 学分
  className: string // 教学班级
}

// 课程目标比重
export interface IGoalWeight {
  stage: IAssment // 阶段
  weight: number // 比重
}

// 课程目标
export interface IGoal {
  importance: 'H' | 'M' | 'L' // 强弱支持
  target: string // 目标
  indicator: string // 指标点
  weight: IGoalWeight[] // 比重
}
